apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: gitlab-web-ingress
spec:
  entryPoints:
    - websecure
  routes:
    - match: Host(`gitlab.one-percent-tech.xyz`)
      kind: Rule
      services:
        - name: gitlab-web-service
          port: 80
  tls:
    certResolver: le
---
apiVersion: traefik.io/v1alpha1
kind: IngressRouteTCP
metadata:
  name: gitlab-ssh-ingress
spec:
  entryPoints:
    - ssh
  routes:
    - match: HostSNI(`*`)
      priority: 10
      services:
        - name: gitlab-ssh-service
          port: 2222
